Skip to main content
POST
/
assets
/
{originAssetId}
/
replace
Replace Asset
curl --request POST \
  --url https://api.example.com/assets/{originAssetId}/replace \
  --header 'Content-Type: application/json' \
  --data '
{
  "policyId": "<string>",
  "customFields": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "name": "<string>",
  "externalAssetId": "<string>",
  "replacedAt": "<string>"
}
'
import requests

url = "https://api.example.com/assets/{originAssetId}/replace"

payload = {
    "policyId": "<string>",
    "customFields": [
        {
            "key": "<string>",
            "value": "<string>"
        }
    ],
    "name": "<string>",
    "externalAssetId": "<string>",
    "replacedAt": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    policyId: '<string>',
    customFields: [{key: '<string>', value: '<string>'}],
    name: '<string>',
    externalAssetId: '<string>',
    replacedAt: '<string>'
  })
};

fetch('https://api.example.com/assets/{originAssetId}/replace', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "type": "<string>", "id": "<string>" }

Path Parameters

originAssetId
string
required

originAssetId

Query Parameters

whenAt
string

Optional: the whenAt datetime

branchId
string
required

the branchId

Body

application/json
policyId
string
required

policyId of asset owner

customFields
object[]

custom fields per product

name
string

Optional: Name of the entity

externalAssetId
string

externalAssetId

replacedAt
string

original asset stoppedAt

Response

type
string
required

type of entity

id
string
required

id of the entity